Cygport Reference Manual

### TABLE OF CONTENTS

- kde4.cygclass

- KDE4_EXTRAGEAR_VERSION
- kde4_cmake
- kde4_compile
- kde4_install
- src_compile (kde4)
- src_install (kde4)

## kde4.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit kde4

DESCRIPTION

The KDE project provides a full-featured X desktop with a wide variety of applications, built on a library stack all based on the Qt C++ libraries. Most packages are written in C++ and are built with CMake.

This cygclass manages the building of most KDE4-based packages.

INHERITS

cmake.cygclass, kde.org.cygclass, qt4.cygclass

## KDE4_EXTRAGEAR_VERSION

[ Top ] [ kde4.cygclass ] [ Variables ]

DESCRIPTION

KDE Extragear is a collection of software which is part of the KDE project but which is not included in the main KDE Software Compilation modules. Some of these applications are released in tandem with a KDE SC release but use their own versioning system. Such packages should use their own version number as PV and define KDE4_EXTRAGEAR_VERSION to indicate with which version of KDE SC they were released.

NOTE

If needed, this must be defined before inherit()ing kde4.cygclass.

## kde4_cmake

[ Top ] [ kde4.cygclass ] [ Compile Functions ]

SYNOPSIS

      kde4_cmake [OPTIONS]

DESCRIPTION

Runs cygcmake to configure the package with several Cygwin- and KDE-specific options. Options, in the form of -DVARIABLE=VALUE, are passed on to cygcmake.

NOTE

Source subdirectories which are declared with macro_optional_add_subdirectory() in CMakeLists.txt can be disabled with '-DBUILD_foo=OFF' arguments.

REQUIRES

automoc4, cmake, libQtCore4-devel, libQtGui4-devel

## kde4_compile

[ Top ] [ kde4.cygclass ] [ Compile Functions ]

SYNOPSIS

      kde4_compile [OPTIONS]

DESCRIPTION

Runs kde4_cmake, followed by cygmake to compile. Options, in the form of -DVARIABLE=VALUE, are passed on to kde4_cmake.

## kde4_install

[ Top ] [ kde4.cygclass ] [ Install Functions ]

SYNOPSIS

      kde4_install [OPTIONS]

DESCRIPTION

Installs a KDE4 package with cyginstall into $D with some additional steps:

- Import libraries for libkdeinit4_* libraries are removed, as they are never used.
- README docs for subpackages in PKG_NAMES are installed into their own subdirectories of /usr/share/doc/ under $D.

Options, if any, are passed on to cyginstall.

## src_compile (kde4)

[ Top ] [ kde4.cygclass ] [ Overloads ]

DEFINITION

    src_compile() {
            cd ${B}
            : ${CYGCMAKE_GENERATOR=Ninja}
            kde4_cmake
            if [ -f build.ninja ]
            then
                    cygninja
            else
                    cygmake
            fi
    }

## src_install (kde4)

[ Top ] [ kde4.cygclass ] [ Overloads ]

DEFINITION

    src_install() {
            cd ${B}
            kde4_install
    }